using System;
using System.IO;
using System.Reflection;

namespace Addison_Wesley.Codebook.Filesystem
{
   public class FileUtil
   {
      /// <summary>
      /// Zjistí jméno adresáře knihovny tříd
      /// </summary>
      /// <returns></returns>
      public static string GetLibraryFolderName()
      {
         // Objekt typu FileInfo pro soubor, který obsahuje         
         // prováděné sestavení
         FileInfo fi = new FileInfo(Assembly.GetExecutingAssembly().Location);

         // Vrátíme cestu adresáře souboru
         return fi.DirectoryName;
      }
   }
}
